# PetscRandomInitializePackage

This function initializes everything in the PetscRandom package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to PetscRandomCreate() when using static libraries.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscRandomInitializePackage(const char path[])

### Input Parameter

path - The dynamic library path, or PETSC_NULL

### Keywords

PetscRandom, initialize, package

### See Also

PetscInitialize()

Level:developer
Location: src/sys/random/interface/dlregisrand.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages